Subject: bug#27445: 26.0.50; Insufficient documentation for pinentry.el

From: Daiki Ueno <[email-masked]>
Date: Thu, 23 Nov 2017 06:08:18 +0100

Michael Heerdegen <[email-masked]> writes:

>> Through the graphical prompt, or using the epa-pinentry-mode 'loopback'
>> setting.
>
> When a user doesn't want a graphical prompt (I don't, because it freezes
> Emacs, and I use Emacs to get my password), how can he know that he must
> configure `epa-pinentry-mode'?  I only found it by making extensive use
> of the debugger.  I didn't even know where to look and which libraries
> were relevant.

Note that it's practically impossible to make it seamlessly work; there
is no way to reliably detect that the 'loopback' pinentry is enabled by
the GnuPG installation.  I don't want to document non-working setup.

Use it at your own risk or blame someone else (the GnuPG upsteam or
downstream package maintainers), really.  I am almost done with this
issue.